import json

from db import redis_client
from flask import jsonify, current_app
from flask_classful import FlaskView


class ConsumersView(FlaskView):

    def get(self):
        consumer_list = json.loads((redis_client.get("consumer_list") or b"{}").decode('utf-8'))
        current_app.logger.warning(jsonify([v['ip'] for k, v in consumer_list.items()]))
        return jsonify([v['ip'] for k, v in consumer_list.items()])
